Name:           almanah
Version:        0.5.0
Release:        1%{?dist}
Summary:        A application to allow you to keep a diary of your life

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://tecnocode.co.uk/projects/almanah/
Source0:        http://tecnocode.co.uk/downloads/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext gpgme-devel sqlite-devel gtkspell-devel GConf2-devel
BuildRequires:  glib2-devel gtk2-devel intltool desktop-file-utils seahorse-devel

Requires(pre):   GConf2
Requires(post):  GConf2
Requires(preun): GConf2

%description
Almanah is a small GTK+ application to allow you to keep a diary of your life.

%prep
%setup -q
chmod -x README AUTHORS NEWS ChangeLog src/{main,interface}.{c,h}
sed -i 's/Icon=diary/Icon=almanah/' data/%{name}.desktop.in


%build
%configure --enable-encryption --enable-spell-checking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor="fedora"                     \
  --delete-original                                        \
  --dir=%{buildroot}%{_datadir}/applications               \
  %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%preun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop
%{_sysconfdir}/gconf/schemas/%{name}.schemas


%changelog
* Wed Dec  3 2008 Jean-François Martin <lokthare@gmail.com> - 0.5.0-1
- Update to the new release

* Mon Jul 14 2008 Jean-François Martin <lokthare@gmail.com> - 0.4.0-2
- Fix rpmlint warnings
- Include ChangeLog
- Fix icon name in desktop file
 
* Sat Jul 12 2008 Jean-François Martin <lokthare@gmail.com> - 0.4.0-1 
- Change to the new name
- Remove GConf scriplets

* Mon Jun 23 2008 Jean-François Martin <lokthare@gmail.com> 0.3.1-1
- Update to the new release
- Drop the patch (fixed upstream)

* Fri Jun 20 2008 Jean-François Martin <lokthare@gmail.com> 0.3-1
- Update to the new release

* Wed May 21 2008 Jean-François Martin <lokthare@gmail.com> 0.2-1
- First RPM release.

